/* board.c */
void newboard P_((board b, int c1, int c2));
void copyboard P_((board f, board t));
void clear_mycmt P_((struct game *g));
void clear_opcmt P_((struct game *g));
/* check.c */
void legalmoves P_((struct game *g));
void scanmvs P_((struct game *g, int mn, int max));
void addlegal P_((int mn, int r, int pt));
void trimunused P_((void));
void trimlowused P_((void));
void trimequal P_((void));
struct legal *rmlegal P_((struct legal *l));
void extractmvs P_((struct legal *l, struct mv *m));
int checkused P_((struct game *g));
/* control.c */
void control P_((void));
void recons P_((char *file));
/* dohelp.c */
void dohelp P_((void));
/* dostats.c */
void dostats P_((struct game *g));
/* fe_curses.c */
void FeInitialize P_((void));
void FeFinishSession P_((void));
void FeDrawScreen P_((void));
void FeDrawGame P_((struct game *g));
void FeDrawPip P_((board b, struct game *g));
void FeDrawPoint P_((board b, int pt, int nh, int inv));
void FeDrawMove P_((struct game *g, int who, int mn));
void FeDrawBoard P_((board b, struct mv mvs[4], int dir, int sd, int inv));
void FeLabelBoard P_((struct game *g));
void FeCheckContact P_((struct game *g));
int FeGetPoint P_((struct game *g, int r, int crdflt, int spdflt));
int FeGetComment P_((struct game *g));
void FeDrawMenu P_((char *m[]));
char FeMenu P_((char *m[], int r1, int r2, char *extra, int prev));
void FeMessage P_((char *s));
void FeStatusLine P_((char *s));
void FeDrawCube P_((struct game *g));
void FeOnMenuItem P_((char *m[], int p));
void FeOffMenuItem P_((char *m[], int p));
int FeDumpScreen P_((char *fn));
int FeYesNo P_((char *msg));
/* flist_unix.c */
struct flist *filelist P_((char *ptn));
int is_pattern P_((char *p));
int regex_match P_((register char *p, register char *t));
int regex_match_after_star P_((register char *p, register char *t));
int match P_((char *p, char *t));
/* game.c */
struct game *startgame P_((char *addr, int d, int mc, int oc, int flgs, int mch, long stime));
char *makeid P_((void));
struct game *addgame P_((void));
void deletegame P_((struct game *g));
struct game *findgame P_((char *gid));
struct people *addppl P_((void));
struct people *findppl P_((char *a, int flag));
struct people *newppl P_((struct game *g));
void printscore P_((void));
void pscore P_((char *name, char *addr, int score[10]));
void ilose P_((struct game *g, int term, int rsflag));
void iwin P_((struct game *g, int term, int rsflag));
void endgame P_((struct game *g, int rsflag));
/* lock.c */
void get_lock P_((char *fn));
/* main.c */
int main P_((int argc, char *argv[]));
RETSIGTYPE ldbsignal P_((int));
void usage P_((int help));
void remotestart P_((char *u1, char *u2, int flags, int mch));
int optlookup P_((char *optstr));
/* misc.c */
void rolldice P_((struct game *g));
int sendpkt P_((struct game *g, int op));
int resendpkt P_((struct game *g));
void str2mv P_((char *s, struct mv *m));
void mv2str P_((struct mv *m, char *s));
void clearmvs P_((struct mv *m));
int canmove P_((struct game *g, int r, int p1, int p2));
void rotate P_((char *buf));
void message();
void fatal P_((char *msg));
void ldbexit P_((int code));
void pipcount P_((board b, struct game *g, int *mp, int *op));
int gvalue P_((struct game *g, int *vp));
int iscontact P_((struct game *g));
void crawford_check P_((struct game *g));
int isyes P_((char *s));
char *status_string P_((int));
/* move.c */
int apply P_((struct game *g, int who, int mn, int flags, int *dest));
int addpcs P_((board b, int clr, int f, int t));
/* process.c */
int process P_((struct game *g));
int myturn P_((struct game *g));
int mymove P_((struct game *g));
int myacpt P_((struct game *g));
int gameover P_((struct game *g));
int check_concede P_((struct game *g));
/* r_xrand.c */
int Rolldie P_((void));
void RandomInit P_((long seed));
long Xrnd P_((long x));
/* rcvop.c */
void start P_((struct game *g));
void istart P_((struct game *g));
void tie P_((struct game *g));
void restart P_((struct game *g));
void mstart P_((struct game *g));
void opmove P_((struct game *g));
void opofr P_((struct game *g));
void opconc P_((struct game *g));
void opacpt P_((struct game *g));
void opdec P_((struct game *g));
void smerr P_((struct game *g));
/* readmail.c */
void readmail P_((char *file));
int readfile P_((char *name));
int getpkt P_((FILE *fp));
int mail_lock P_((void));
void mail_unlock P_((int gotlock));
/* save.c */
char *save P_((char *s));
void readldbrc P_((void));
void readgames P_((void));
int writegames P_((char *file, char *bkup, char *pfile));
void readpeople P_((void));
int writepeople P_((char *file));
char *boardstr P_((board b));
int nvscan P_((FILE *fp, struct namevalue *t, void *st, int *lp));
int nvwrite P_((FILE *fp, struct namevalue *t, void *st));
void check_timeout P_((struct game *g));
/* t_email.c */
void TInitialize P_((void));
void TFinishSession P_((void));
int TSendPacket P_((struct packet *p, char *addr));
int TSendFile P_((char *addr, char *file, char *subj));
/* vars.c */
